extends Control

var level = 2
var points = 0

## MUSIC
func play_music(aud):
	var laud = load(aud)
	$Music.stream = laud
	$Music.play()

## SPAWN
func spawn():#Spawn a guy
	var gun = load("res://objects/guncanoe.tscn").instance()
	gun.position = Vector2(randi()%640,randi()%480)
	$guns.add_child(gun,true)

## CUTSCENES
func _on_cutsceneplayer_animation_finished(anim):
	if(anim=="opening"):#Spawn some dudes
		for i in level:
			spawn()
		play_music("res://assets/canoebattle.ogg")
	else:
		$cutsceneplayer.play("opening")

## VICTORY
func checkpoint():
	points+=1
	$Label.text = "Score: "+str(points)
	if($guns.get_child_count()<1):
		win()

func win():
	level+=1
	$canoer.position = Vector2(320,240)
	var cutscenelist = ["winner","oar-ra"]
	$cutsceneplayer.play(cutscenelist[randi()%cutscenelist.size()])
	play_music("res://assets/win.ogg")